Mesa (master): gles1: fail symbol check if lib is missing

Eric Engeström eric_engestrom at kemper.freedesktop.org
Tue Oct 31 18:09:33 UTC 2017


Module: Mesa
Branch: master
Commit: 4e7612c54d6a121a5e45985709c33bcd7f8af995
URL:    http://cgit.freedesktop.org/mesa/mesa/commit/?id=4e7612c54d6a121a5e45985709c33bcd7f8af995

Author: Eric Engestrom <eric.engestrom at imgtec.com>
Date:   Mon Oct 30 15:28:08 2017 +0000

gles1: fail symbol check if lib is missing

Signed-off-by: Eric Engestrom <eric.engestrom at imgtec.com>
Reviewed-by: Dylan Baker <dylan at pnwbakers.com>
Reviewed-by: Emil Velikov <emil.velikov at collabora.com>

---

 src/mapi/es1api/ABI-check | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/src/mapi/es1api/ABI-check b/src/mapi/es1api/ABI-check
index 223658b32e..25970bc414 100755
--- a/src/mapi/es1api/ABI-check
+++ b/src/mapi/es1api/ABI-check
@@ -1,4 +1,5 @@
 #!/bin/sh
+set -eu
 
 # Print defined gl.* functions not in GL ES 1.1 or in
 # (FIXME, none of these should be part of the ABI)
@@ -8,7 +9,14 @@
 # or in extensions that are part of the ES 1.1 extension pack.
 # (see http://www.khronos.org/registry/gles/specs/1.1/opengles_spec_1_1_extension_pack.pdf)
 
-FUNCS=$(nm -D --defined-only ${1-.libs/libGLESv1_CM.so.1} | grep -o 'T gl.*' | cut -c 3- | while read func; do
+LIB=${1-.libs/libGLESv1_CM.so.1}
+
+if ! [ -f "$LIB" ]
+then
+  exit 1
+fi
+
+FUNCS=$(nm -D --defined-only $LIB | grep -o 'T gl.*' | cut -c 3- | while read func; do
 ( grep -q "^$func$" || echo $func )  <<EOF
 glActiveTexture
 glAlphaFunc




More information about the mesa-commit mailing list